<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.vote.system.mapper.VoteHistoryScoreMapper">

    <resultMap id="BaseResultMap" type="com.vote.system.domain.VoteHistoryScore">
            <id property="id" column="id" jdbcType="BIGINT"/>
            <result property="submissionId" column="submission_id" jdbcType="BIGINT"/>
            <result property="roundId" column="round_id" jdbcType="BIGINT"/>
            <result property="alternately" column="alternately" jdbcType="VARCHAR"/>
            <result property="score" column="score" jdbcType="VARCHAR"/>
            <result property="result" column="result" jdbcType="VARCHAR"/>
    </resultMap>

    <sql id="Base_Column_List">
        id,submission_id,alternately,
        score,result
    </sql>
</mapper>
